Buddypress Group Calendar says "Requires BuddyPress" but on the plugin page it says compat

Hi, when I searched for "calendar" from my multisite dashboard I see the Buddypress Group Calendar but it says "Requires BuddyPress", yet on https://premium.wpmudev.org/project/buddypress-group-calendar/ it says it says compatible with Multisite 3.5.1... So my question is - does this plugin work and if not, Is there a calendar that works for the Multisite? Thank you